Bug 1294620 - quota: limit xattr not healed for root dir on a newly added bricks
quota: limit xattr not healed for root dir on a newly added bricks
Status: CLOSED WORKSFORME
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: quota (Show other bugs)
3.1
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Vijaikumar Mallikarjuna
storage-qa-internal@redhat.com
: ZStream
Depends On:
Blocks: 1294621
  Show dependency treegraph
 
Reported: 2015-12-29 05:13 EST by Vijaikumar Mallikarjuna
Modified: 2016-09-17 08:35 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1294621 (view as bug list)
Environment:
Last Closed: 2016-02-02 06:00:16 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vijaikumar Mallikarjuna 2015-12-29 05:13:40 EST
Quota glusterd hook script for add-brick operation doesn't work
in below two cases

1) add-brick performed when volume is in stopped state
2) brick is not ready state to accept FOPs

So we need find a better solution to heal quota limit xattrs on '/', this is tracked
Comment 2 Vijaikumar Mallikarjuna 2016-02-02 06:00:16 EST
Hooks scripts is working as expected, so closing as worksforme

Note You need to log in before you can comment on or make changes to this bug.